=== debian/changelog ===
recoll (1.43.4-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release.
  * debian/copyright:
    + Fixed old FSF address.

  [ Tmanok ]
  * Replace orphaned untex with texlive-binaries in Suggests
    - untex has been orphaned for ~6.5 years
    - recoll already prefers detex (provided by texlive-binaries)
    - Keep wv temporarily until upstream implements soffice fallback

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Aug 2025 13:17:01 +0530
