## recoll 1.43.7

=== debian/changelog ===
recoll (1.43.7-1) unstable; urgency=medium

  * New upstream release:
    + Fix singleapplication code and license (Closes: #1117639)
  * debian/control:
    + Removed 'Rules-Requires-Root' field.
  * Updated debian/watch to standard 5.

 -- Kartik Mistry <kartik@debian.org>  Mon, 24 Nov 2025 14:02:13 +0530
