=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.recoll.org
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 
 Package: recoll
 Architecture: all
