## recoll 1.43.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -293,6 +293,8 @@
     utils/appformime.h
     utils/base64.cpp
     utils/base64.h
+    utils/boolexp.cpp
+    utils/boolexp.h
     utils/cancelcheck.cpp
     utils/cancelcheck.h
     utils/chrono.h
@@ -411,6 +413,8 @@
     filters/opendoc-flat.xsl
     filters/opendoc-meta.xsl
     filters/openxml-meta.xsl
+    filters/openxml-ppt-body.xsl
+    filters/openxml-visio-body.xsl
     filters/openxml-word-body.xsl
     filters/openxml-xls-body.xsl
     filters/ppt-dump.py
@@ -460,8 +464,3 @@
     filters/rclpurple
     filters/rclpython.py
     filters/rclrar.py
-    filters/rclrtf.py
-    filters/rclscribus
-    filters/rclshowinfo
-    filters/rcltar.py
-    filters/rcltex
