=== debian/changelog ===
recoll (1.43.9-1) unstable; urgency=low

  * New upstream release.
  * Registered recoll user manual using doc-base.
  * Removed very old README.Debian. Versions mentioned are not even in the
    oldoldstable.

 -- Kartik Mistry <kartik@debian.org>  Sun, 28 Dec 2025 12:26:17 +0530
