=== debian/watch ===
Version: 5

Source: https://www.recoll.org/pages/download.html
Matching-Pattern: (?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
Pgpmode: auto
