## recoll 1.43.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -241,6 +241,8 @@
     query/dynconf.h
     query/filtseq.cpp
     query/filtseq.h
+    query/hldata.h
+    query/hldata.cpp
     common/plaintorich.cpp
     common/plaintorich.h
     query/qresultstore.cpp
@@ -320,8 +322,6 @@
     utils/fileudi.h
     utils/fstreewalk.cpp
     utils/fstreewalk.h
-    utils/hldata.h
-    utils/hldata.cpp
     utils/idfile.cpp
     utils/idfile.h
     utils/listmem.cpp
