=== debian/changelog ===
recoll (1.43.12-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Feb 2026 03:19:36 +0000

recoll (1.43.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Removed 'Priority' field.
    + Updated Standards-Version to 4.7.3
  * Use proper short license for CC0-1.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Jan 2026 18:16:48 +0530
