=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: recoll
 Section: x11
-Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -24,7 +23,7 @@
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.recoll.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: recoll
 Architecture: all
